{% extends 'base.html.twig' %}

{% block title %}Mes projets{% endblock %}
{% block description %}Développeur Symfony, Wordpress, Django. La liste de mes projets{% endblock %}

{% block body %}

    <header class="flex items-center justify-center bg-primary h-mid-full">
		{% if category is defined %}
        	<h1 class="text-6xl text-white">Projets : {{ category }}</h1>
		{% else %}
        	<h1 class="text-6xl text-white">Projets</h1>
		{% endif %}
    </header>

    <main class="container -mt-24">
        <div class="grid grid-cols-1 gap-4 mb-8 justify-items-center md:grid-cols-3">
            {% for project in projects %}
                {% include "components/project.html.twig" %}
            {% endfor %}
        </div>

        {{ knp_pagination_render(projects) }}
    </main>
{% endblock %}
